'Notice how Windows can scroll, as windows have a view port (SizeX + PosX + DataOffX) + real axis size (VirtX)

TYPE Win
	X               AS INTEGER      'Window X Cor
	Y               AS INTEGER      'Window Y Cor
	W               AS INTEGER      'Window X Size in Px
	H               AS INTEGER      'Window Y Size in Px
	Order           AS INTEGER      'Window Z-Order (Order order of appearence)
	Properties      AS INTEGER      'Is Window Maximised Existant etc
	RealX           AS INTEGER      'Windows Real X size (Note if RealX>SizeX then ScrollBars are drawn)
	RealY           AS INTEGER      'Windows Real Y size (Note if RealY>SizeY then ScrollBars are drawn)
	ViewX           AS INTEGER      'Windows Position of viewport
	ViewY           AS INTEGER      'Windows Position of viewport
	DataOffX	AS INTEGER      'Object beginning cords
	DataOffY	AS INTEGER      '
	DataOffW	AS INTEGER      'Object size
	DataOffH	AS INTEGER      '
	ResizeX1	AS INTEGER      'Maximise/minimise
	ResizeY1	AS INTEGER      '
	ResizeX2	AS INTEGER      'Old cords for resizing/moving
	ResizeY2	AS INTEGER      '
	TextPtr         AS INTEGER      'Position in Text Buffer of Text
	NameData        As String *8    'Windows ID (Not Used)
	Nxt             AS INTEGER      'Next Window In Buffer
	Prv             AS INTEGER      'Previous Windows in Buffer
	Handle          AS INTEGER      'EMS Handle for Window Data/Buffer
	Obj1st		AS INTEGER      'Point to first Object in Window Queue
END TYPE

TYPE Object
	X               AS INTEGER      'X Cors from Window Origin
	Y               AS INTEGER      'Y Cors from Window Origin
	W               AS INTEGER      'X Size of Object /Component
	H               AS INTEGER      'Y Size of Object /Component
	WinIndex        AS INTEGER      'Windows Object bleongs to
	TextPtr         AS INTEGER      'Poisition in Text Buffer
	ID              AS INTEGER      'Misc useage Integer (not for ID now)
	Flags           AS INTEGER      'Any Data of Object Status is in this var (eg if check box is 'checked')
	Style           AS INTEGER      'Type of Object eg: Button, TextBox etc
	Properties      AS INTEGER      'Does Object exist etc
	ToolPtr         AS INTEGER      'Locate of Tool tip text in Text Buffer
	NameData        As String * 8   'Object ID (Not Used)
	Nxt             AS INTEGER      'Next Object In Buffer
	Prv             AS INTEGER      'Previous Object in Buffer
END TYPE

TYPE Region
	X               AS INTEGER      'X Left Boundry
	Y               AS INTEGER      'Y Top Boundry
	X1              AS INTEGER      'X1 Right Boundry
	Y1              AS INTEGER      'Y1 Bottom Boundry
	OffX            AS INTEGER      'Offest X
	OffY            AS INTEGER      'Offset Y
	Exist           AS INTEGER      'Layer Used ?
	WinName         AS INTEGER      'Window Layer is Linked to
END TYPE